package com.bocloud.nms.model.veeam.job;

public class GFSPolicySettingsModel {

    private boolean isEnabled;
    private GFSPolicySettingsWeeklyModel weekly;
    private GFSPolicySettingsMonthlyModel monthly;
    private GFSPolicySettingsYearlyModel yearly;

    public boolean getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public GFSPolicySettingsWeeklyModel getWeekly() {
        return weekly;
    }

    public void setWeekly(GFSPolicySettingsWeeklyModel weekly) {
        this.weekly = weekly;
    }

    public GFSPolicySettingsMonthlyModel getMonthly() {
        return monthly;
    }

    public void setMonthly(GFSPolicySettingsMonthlyModel monthly) {
        this.monthly = monthly;
    }

    public GFSPolicySettingsYearlyModel getYearly() {
        return yearly;
    }

    public void setYearly(GFSPolicySettingsYearlyModel yearly) {
        this.yearly = yearly;
    }

    @Override public String toString() {
        return "GFSPolicySettingsModel{" + "isEnabled=" + isEnabled + ", weekly=" + weekly + ", monthly=" + monthly
            + ", yearly=" + yearly + '}';
    }
}

